FLANG

Public Member Functions | List of all members
Fortran::semantics::IoChecker Class Reference
Inheritance diagram for Fortran::semantics::IoChecker:

## Public Member Functions
| IoChecker (SemanticsContext &context)
void | Enter (const parser::BackspaceStmt &)
void | Enter (const parser::CloseStmt &)
void | Enter (const parser::EndfileStmt &)
void | Enter (const parser::FlushStmt &)
void | Enter (const parser::InquireStmt &)
void | Enter (const parser::OpenStmt &)
void | Enter (const parser::PrintStmt &)
void | Enter (const parser::ReadStmt &)
void | Enter (const parser::RewindStmt &)
void | Enter (const parser::WaitStmt &)
void | Enter (const parser::WriteStmt &)
void | Enter (const parser::Statement< common::Indirection< parser::FormatStmt >> &)
void | Enter (const parser::ConnectSpec &)
void | Enter (const parser::ConnectSpec::CharExpr &)
void | Enter (const parser::ConnectSpec::Newunit &)
void | Enter (const parser::ConnectSpec::Recl &)
void | Enter (const parser::EndLabel &)
void | Enter (const parser::EorLabel &)
void | Enter (const parser::ErrLabel &)
void | Enter (const parser::FileUnitNumber &)
void | Enter (const parser::Format &)
void | Enter (const parser::IdExpr &)
void | Enter (const parser::IdVariable &)
void | Enter (const parser::InputItem &)
void | Enter (const parser::InquireSpec &)
void | Enter (const parser::InquireSpec::CharVar &)
void | Enter (const parser::InquireSpec::IntVar &)
void | Enter (const parser::InquireSpec::LogVar &)
void | Enter (const parser::IoControlSpec &)
void | Enter (const parser::IoControlSpec::Asynchronous &)
void | Enter (const parser::IoControlSpec::CharExpr &)
void | Enter (const parser::IoControlSpec::Pos &)
void | Enter (const parser::IoControlSpec::Rec &)
void | Enter (const parser::IoControlSpec::Size &)
void | Enter (const parser::IoUnit &)
void | Enter (const parser::MsgVariable &)
void | Enter (const parser::OutputItem &)
void | Enter (const parser::StatusExpr &)
void | Enter (const parser::StatVariable &)
void | Leave (const parser::BackspaceStmt &)
void | Leave (const parser::CloseStmt &)
void | Leave (const parser::EndfileStmt &)
void | Leave (const parser::FlushStmt &)
void | Leave (const parser::InquireStmt &)
void | Leave (const parser::OpenStmt &)
void | Leave (const parser::PrintStmt &)
void | Leave (const parser::ReadStmt &)
void | Leave (const parser::RewindStmt &)
void | Leave (const parser::WaitStmt &)
void | Leave (const parser::WriteStmt &)
Public Member Functions inherited from Fortran::semantics::BaseChecker
template<typename N >
void | Enter (const N &)
template<typename N >
void | Leave (const N &)

The documentation for this class was generated from the following files:

- lib/Semantics/check-io.h
- lib/Semantics/check-io.cpp